(defvar borlandide-clientid nil
  "The gnuserv clientID for C++Builder.")

(defun borlandide-init (clientid)
  "Begin communicating with the Borland IDE"
  (interactive)
  (setq borlandide-clientid clientid)
  (add-hook 'write-file-hooks 'borlandide-save)
  )

(defun borlandide-exit ()
  "Quit communicating with the Borland IDE"
  (interactive)
  (setq borlandide-clientid nil)
  (remove-hook 'write-file-hooks 'borlandide-save)
  )


(defun borlandide-save ()
  "Save a Borland IDE file"
  (interactive)
  (if (and borlandide-clientid
	   (buffer-modified-p))
      (server-write-to-client borlandide-clientid (concat "saved " (buffer-file-name))))
   nil)

(defun borlandide-bring-to-front ()
  "Bring the Borland IDE to the front"
  (interactive)
  (if borlandide-clientid
      (server-write-to-client borlandide-clientid "front")
    )
 t)

(provide 'borlandide)

;(server-write-to-client borlandide-clientid "Testing")









  
